### Method

# Gimp Curve get_sample

since: 3.2

#### Declaration [src]

    gdouble
    gimp_curve_get_sample (
      GimpCurve* curve,
      gdouble x
    )

#### Description [src]

Gets the ordinate `y` value corresponding to the passed `x` abscissa value, in a `GIMP_CURVE_FREE` `curve`.

Note that while the `y` coordinate will be stored exactly, the `x` coordinate will be rounded to the closest curve sample on the abscissa. The more sample was set with `gimp_curve_set_n_samples()`, the more precise the rounding will be.

Available since: 3.2

#### Parameters

`x`

  Type: `gdouble`

  An abscissa on a `[0.0, 1.0]` range.

#### Return value

Type: `gdouble`

No description available.